# Uses of Class
org.springframework.mock.web.server.MockServerWebExchange

Packages that use MockServerWebExchange
Package
Description
org.springframework.mock.web.server
Mock implementations of Spring's reactive server web API abstractions.

## Uses of MockServerWebExchange in org.springframework.mock.web.server

Methods in org.springframework.mock.web.server that return MockServerWebExchange
Modifier and Type
Method
Description
`MockServerWebExchange`
MockServerWebExchange.Builder.`build()`
Build the `MockServerWebExchange` instance.
`static MockServerWebExchange`
MockServerWebExchange.`from(MockServerHttpRequest request)`
Create a `MockServerWebExchange` from the given mock request.
`static MockServerWebExchange`
MockServerWebExchange.`from(MockServerHttpRequest.BaseBuilder<?> requestBuilder)`
Variant of `from(MockServerHttpRequest)` with a mock request builder.